<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>localtime</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Gibt verschiedene Zeitangaben aus">
<meta name="keywords"       content="SELFPHP, PHP, Datums- und Zeit-Funktionen, localtime">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-06T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/datums_und_zeit_funktionen/localtime.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-06T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // Datums- und Zeit-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>Datums- und Zeit-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>localtime</h2></td>
</tr>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap colspan="2"> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=3 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>



<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>



<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">array <b>localtime</b>([int timestamp 
      [, bool is_associative]])</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20"> 
      <p>PHP 4 &gt;= 4.0RC2</p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="321">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Mit dem Befehl localtime() kann man sich ein Array liefern lassen, das<br>
        Informationen &uuml;ber die angegebene Zeit enth&auml;lt. Die Zeitangabe, 
        &uuml;ber die Sie<br>
        Informationen ben&ouml;tigen, &uuml;bergeben Sie als UNIX-Zeitstempel 
        im Parameter<br>
        timestamp. Lassen Sie diesen Parameter leer, nimmt die Funktion die aktuelle<br>
        Zeit.<br>
        Mit dem optionalen Parameter is_associative k&ouml;nnen Sie festlegen, 
        was f&uuml;r ein<br>
        Array Sie als Funktionsergebnis erhalten m&ouml;chten: &Uuml;bergeben 
        Sie den Wert 0,<br>
        liefert die Funktion ein numerisch indiziertes Array (das ist auch die 
        Voreinstellung); &uuml;bergeben Sie den Wert 1, liefert die Funktion ein 
        assoziatives Array. Das Array,<br>
        das die Funktion als Ergebnis zur&uuml;ckgibt, enth&auml;lt folgende Elemente:<br>
        &quot;tm_sec&quot; - Sekunde <br>
        &quot;tm_min&quot; - Minute <br>
        &quot;tm_hour&quot; - Stunde <br>
        &quot;tm_mday&quot; - Tag des Monats <br>
        &quot;tm_mon&quot; - Monat des Jahres <br>
        &quot;tm_year&quot; - Jahre seit 1900<br>
        &quot;tm_wday&quot; - Tag der Woche <br>
        &quot;tm_yday&quot; - Tag des Jahres <br>
        &quot;tm_isdst&quot; - Sommerzeit 1 / Winterzeit 0</p>
      <p>
	  Siehe auch:
	  <ul>
	    <li><a href="microtime.html">microtime()</a></li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>$br = &quot;&lt;br&gt;&quot;;<br>$zeit = localtime(time() , 1);<br>echo &quot;Sekunden: &quot; . $zeit[tm_sec] . $br;<br>echo &quot;Minuten: &quot; . $zeit[tm_min] . $br;<br>echo &quot;Stunden: &quot; . $zeit[tm_hour] . $br;<br>echo &quot;Tag des Monats: &quot; . $zeit[tm_mday] . $br;<br>echo &quot;Monat des Jahres: &quot; . $zeit[tm_mon] . $br;<br>echo &quot;Jahr(nicht Y2K sicher): &quot; . $zeit[tm_year] . $br;<br>echo &quot;Tag der Woche: &quot; . $zeit[tm_wday] . $br;<br>echo &quot;Tag des Jahres: &quot; . $zeit[tm_yday] . $br;<br>echo &quot;Sommerzeit: &quot; . $zeit[tm_isdst] . $br;<br>echo $br;</pre>
      <pre>$zeit_neu = localtime();
for($x=0;$x&lt;count($zeit_neu); $x++){
  echo &quot;Array &quot; . $x . &quot;: &quot; . $zeit_neu[$x] . $br; 
}
?&gt;</pre>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="45">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>Sekunden: 3<br>
        Minuten: 47<br>
        Stunden: 20<br>
        Tag des Monats: 29<br>
        Monat des Jahres: 4<br>
        Jahr (nicht Y2K sicher): 101<br>
        Tag der Woche: 2<br>
        Tag des Jahres: 148<br>
        Sommerzeit: 1</p>
      <p>Array 0: 3<br>
        Array 1: 47<br>
        Array 2: 20<br>
        Array 3: 29<br>
        Array 4: 4<br>
        Array 5: 101<br>
        Array 6: 2<br>
        Array 7: 148<br>
        Array 8: 1</p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="microtime.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="microtime.html"><b>microtime</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="gmstrftime.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="gmstrftime.html"><b>gmstrftime</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>Datums- und Zeit-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>